Ansible Personal Environment Role
=========

The goal of this role is to automate the configuration of my linux user environment

Requirements
------------

Any pre-requisites that may not be covered by Ansible itself or the role should be mentioned here. For instance, if the role uses the EC2 module, it may be a good idea to mention in this section that the boto package is required.

Role Variables
--------------

system variables:
    **wm** : which window manager should be managed (currently only bspwm supported). Default none.
    **optional_tools** : should optional tools be installed ? Default: false.
    **hw_model** : To install model-specifics configuration (currently only t420s supported). Default: generic.
    **audio** : should it configure audio ? Default: false.
    **role** : desktop, laptop, server, pi ... This is a list. default: none.

user variables:
    **user** : username of user to config environment for
    **user_sudo** : should this user have sudo rights ? Default: true.
    **default_sudo_group** : The name of the sudo group. Default: wheel.
    **user_groups** : list of groups the user should be member of. Default: users,uucp,games.
    **user_config_files** : list of files to be copied in user home folder.
        Default:
        - .bashrc
        - .emacs
        - .gitconfig
        - .gitignore
        - .nanorc
        - .config/redshift.conf
        - .screenrc
        - .tmux.conf
        - .vimrc
        - .Xresources
    **user_config_folders** : list of folders to be copied in user home folder.
        Default:
        - .Xresources.d
        - bin
        - .autorandr
    **user_config_dotconfig_folders** : list of folders to be copied in user config.d folder. Default: termite
    **user_zsh** : Should user use zsh shell ? default: true.
    **user_omzsh_theme**: user oh-my-zsh theme
    **user_zsh_config_files**: user zsh config files to be copied in home folder.
        Default:
        - .zshenv
        - .zshrc
        - .zprofile

Dependencies
------------

A list of other roles hosted on Galaxy should go here, plus any details in regards to parameters that may need to be set for other roles, or variables that are used from other roles.

Example Playbook
----------------

Including an example of how to use your role (for instance, with variables passed in as parameters) is always nice for users too:

    - hosts: localhost
      roles:
         - { role: username.rolename, x: 42 }

License
-------

BSD

Author Information
------------------

An optional section for the role authors to include contact information, or a website (HTML is not allowed).
